## Math

Math —

## Synopsis

    void        go_math_init                    (void);
    void        go_continued_fraction           (double val,
                                                 int max_denom,
                                                 int *res_num,
                                                 int *res_denom);
    void        go_stern_brocot                 (double val,
                                                 int max_denom,
                                                 int *res_num,
                                                 int *res_denom);
    extern      double go_nan;
    extern      double go_pinf;
    extern      double go_ninf;
    double      go_add_epsilon                  (double x);
    double      go_sub_epsilon                  (double x);
    double      go_fake_floor                   (double x);
    double      go_fake_ceil                    (double x);
    double      go_fake_round                   (double x);
    double      go_fake_trunc                   (double x);
    double      go_rint                         (double x);
    int         go_finite                       (double x);
    double      go_pow2                         (int n);
    double      go_pow10                        (int n);
    double      asinh                           (double x);
    double      acosh                           (double x);
    double      atanh                           (double x);
    double      log1p                           (double x);
    double      expm1                           (double x);
    #define     go_finitel

## Description

## Details

### go_math_init ()

    void        go_math_init                    (void);

### go_continued_fraction ()

    void        go_continued_fraction           (double val,
                                                 int max_denom,
                                                 int *res_num,
                                                 int *res_denom);

`val` : |
`max_denom` : |
`res_num` : |
`res_denom` : |

### go_stern_brocot ()

    void        go_stern_brocot                 (double val,
                                                 int max_denom,
                                                 int *res_num,
                                                 int *res_denom);

`val` : |
`max_denom` : |
`res_num` : |
`res_denom` : |

### go_nan

    extern double go_nan;

### go_pinf

    extern double go_pinf;

### go_ninf

    extern double go_ninf;

### go_add_epsilon ()

    double      go_add_epsilon                  (double x);

`x` : |
Returns : |

### go_sub_epsilon ()

    double      go_sub_epsilon                  (double x);

`x` : |
Returns : |

### go_fake_floor ()

    double      go_fake_floor                   (double x);

`x` : |
Returns : |

### go_fake_ceil ()

    double      go_fake_ceil                    (double x);

`x` : |
Returns : |

### go_fake_round ()

    double      go_fake_round                   (double x);

`x` : |
Returns : |

### go_fake_trunc ()

    double      go_fake_trunc                   (double x);

`x` : |
Returns : |

### go_rint ()

    double      go_rint                         (double x);

`x` : |
Returns : |

### go_finite ()

    int         go_finite                       (double x);

`x` : |
Returns : |

### go_pow2 ()

    double      go_pow2                         (int n);

`n` : |
Returns : |

### go_pow10 ()

    double      go_pow10                        (int n);

`n` : |
Returns : |

### asinh ()

    double      asinh                           (double x);

`x` : |
Returns : |

### acosh ()

    double      acosh                           (double x);

`x` : |
Returns : |

### atanh ()

    double      atanh                           (double x);

`x` : |
Returns : |

### log1p ()

    double      log1p                           (double x);

`x` : |
Returns : |

### expm1 ()

    double      expm1                           (double x);

`x` : |
Returns : |

### go_finitel

    #define go_finitel finitel